import jingrow
from jingrow.utils import cint


def execute():
	expiry_period = (
		cint(jingrow.db.get_singles_dict("System Settings").get("prepared_report_expiry_period")) or 30
	)
	jingrow.get_single("Log Settings").register_pagetype("Prepared Report", expiry_period)
